org.apache.hadoop.security.authentication.client

## Interface ConnectionConfigurator

-     public interface ConnectionConfigurator

  Interface to configure `HttpURLConnection` created by `AuthenticatedURL` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpURLConnection` | `configure(HttpURLConnection conn)` Configures the given `HttpURLConnection` instance.

- - ### Method Detail

    - #### configure

          HttpURLConnection configure(HttpURLConnection conn)
                               throws IOException

      Configures the given `HttpURLConnection` instance.
      Parameters:
        `conn` - the `HttpURLConnection` instance to configure.
      Returns:
        the configured `HttpURLConnection` instance.
      Throws:
        `IOException` - if an IO error occurred.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.